path: /build/build/openvpn-net-vpn-2.6.12+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - export LC_ALL="en_US.UTF-8" && export LC_CTYPE="en_US.UTF-8" && locale-gen
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-kernel_linux -mbedtls -pkcs11 -selinux iproute2 lz4 lzo openssl pam" emerge net-vpn/openvpn -pv -t
  - |
    USE="-kernel_linux -mbedtls -pkcs11 -selinux iproute2 lz4 lzo openssl pam" emerge -j ${JOBS} --nodeps net-vpn/openvpn
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/openvpn && luet-portage --dir
    /pkgdir/openvpn net-vpn/openvpn
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:4c33be2941c0b47dac5b4ac4d664b85682be796f536bc0b1728fda9848edc872
  package:
    name: openvpn
    version: 2.6.12+2
    category: net-vpn
    use_flags:
    - -kernel_linux
    - -mbedtls
    - -pkcs11
    - -selinux
    - iproute2
    - lz4
    - lzo
    - openssl
    - pam
    requires:
    - name: libnl
      version: '>=0'
      category: dev-libs-3
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Robust and highly flexible tunneling application compatible with
      many OSes
    uri:
    - https://openvpn.net/
    license: GPL-2
    buildtimestamp: 2024-10-05 21:30:36.828064266 +0000 UTC m=+182.020369564
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      DEPEND: kernel_linux? ( iproute2? ( sys-apps/iproute2[-minimal] ) ) lz4? ( app-arch/lz4
        ) lzo? ( >=dev-libs/lzo-1.07 ) mbedtls? ( net-libs/mbedtls:= ) openssl? (
        >=dev-libs/openssl-0.9.8:0= ) pam? ( sys-libs/pam ) pkcs11? ( >=dev-libs/pkcs11-helper-1.11
        ) dev-python/docutils dev-libs/libnl:3= dev-python/docutils sys-apps/shadow
      IUSE: down-root examples inotify iproute2 +openssl +lz4 +lzo mbedtls pam pkcs11
        +plugins selinux static test userland_BSD kernel_linux
      RDEPEND: kernel_linux? ( iproute2? ( sys-apps/iproute2[-minimal] ) ) lz4? (
        app-arch/lz4 ) lzo? ( >=dev-libs/lzo-1.07 ) mbedtls? ( net-libs/mbedtls:=
        ) openssl? ( >=dev-libs/openssl-0.9.8:0= ) pam? ( sys-libs/pam ) pkcs11? (
        >=dev-libs/pkcs11-helper-1.11 ) dev-python/docutils dev-libs/libnl:3= selinux?
        ( sec-policy/selinux-openvpn ) virtual/tmpfiles
      emerge.packages: net-vpn/openvpn
      kit: net-kit
      original.package.name: net-vpn/openvpn
      original.package.slot: "0"
      original.package.version: 2.6.12
    treedir: /build/packages
  package_dir: /pkgdir/openvpn
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 80abf6f8244620c4044b0912e9e171126d216314ae6f1bff613e0d37c398d1fd
compressiontype: zstd
files:
- etc/conf.d/openvpn
- etc/init.d/openvpn
- etc/openvpn/.keep_net-vpn_openvpn-0
- etc/openvpn/down.sh
- etc/openvpn/up.sh
- usr/include/openvpn-msg.h
- usr/include/openvpn-plugin.h
- usr/lib64/openvpn/plugins/openvpn-plugin-auth-pam.so
- usr/sbin/openvpn
- usr/share/doc/openvpn-2.6.12/AUTHORS
- usr/share/doc/openvpn-2.6.12/COPYING.bz2
- usr/share/doc/openvpn-2.6.12/COPYRIGHT.GPL.bz2
- usr/share/doc/openvpn-2.6.12/ChangeLog.bz2
- usr/share/doc/openvpn-2.6.12/Changes.rst.bz2
- usr/share/doc/openvpn-2.6.12/PORTS.bz2
- usr/share/doc/openvpn-2.6.12/README.auth-pam.bz2
- usr/share/doc/openvpn-2.6.12/README.bz2
- usr/share/doc/openvpn-2.6.12/README.cmake.md.bz2
- usr/share/doc/openvpn-2.6.12/README.dco.md.bz2
- usr/share/doc/openvpn-2.6.12/README.ec.bz2
- usr/share/doc/openvpn-2.6.12/README.mbedtls.bz2
- usr/share/doc/openvpn-2.6.12/README.wolfssl.bz2
- usr/share/doc/openvpn-2.6.12/gui-notes.txt.bz2
- usr/share/doc/openvpn-2.6.12/html/openvpn-examples.5.html
- usr/share/doc/openvpn-2.6.12/html/openvpn.8.html
- usr/share/doc/openvpn-2.6.12/management-notes.txt.bz2
- usr/share/man/man5/openvpn-examples.5.bz2
- usr/share/man/man8/openvpn.8.bz2
- var/db/pkg/net-vpn/openvpn-2.6.12/BDEPEND
- var/db/pkg/net-vpn/openvpn-2.6.12/BUILD_TIME
- var/db/pkg/net-vpn/openvpn-2.6.12/CATEGORY
- var/db/pkg/net-vpn/openvpn-2.6.12/CBUILD
- var/db/pkg/net-vpn/openvpn-2.6.12/CFLAGS
- var/db/pkg/net-vpn/openvpn-2.6.12/CHOST
- var/db/pkg/net-vpn/openvpn-2.6.12/CONTENTS
- var/db/pkg/net-vpn/openvpn-2.6.12/COUNTER
- var/db/pkg/net-vpn/openvpn-2.6.12/CTARGET
- var/db/pkg/net-vpn/openvpn-2.6.12/CXX
- var/db/pkg/net-vpn/openvpn-2.6.12/CXXFLAGS
- var/db/pkg/net-vpn/openvpn-2.6.12/DEFINED_PHASES
- var/db/pkg/net-vpn/openvpn-2.6.12/DEPEND
- var/db/pkg/net-vpn/openvpn-2.6.12/DESCRIPTION
- var/db/pkg/net-vpn/openvpn-2.6.12/EAPI
- var/db/pkg/net-vpn/openvpn-2.6.12/FEATURES
- var/db/pkg/net-vpn/openvpn-2.6.12/HOMEPAGE
- var/db/pkg/net-vpn/openvpn-2.6.12/INHERITED
- var/db/pkg/net-vpn/openvpn-2.6.12/IUSE
- var/db/pkg/net-vpn/openvpn-2.6.12/IUSE_EFFECTIVE
- var/db/pkg/net-vpn/openvpn-2.6.12/KEYWORDS
- var/db/pkg/net-vpn/openvpn-2.6.12/LDFLAGS
- var/db/pkg/net-vpn/openvpn-2.6.12/LICENSE
- var/db/pkg/net-vpn/openvpn-2.6.12/NEEDED
- var/db/pkg/net-vpn/openvpn-2.6.12/NEEDED.ELF.2
- var/db/pkg/net-vpn/openvpn-2.6.12/PF
- var/db/pkg/net-vpn/openvpn-2.6.12/PROVIDES
- var/db/pkg/net-vpn/openvpn-2.6.12/RDEPEND
- var/db/pkg/net-vpn/openvpn-2.6.12/REQUIRES
- var/db/pkg/net-vpn/openvpn-2.6.12/SIZE
- var/db/pkg/net-vpn/openvpn-2.6.12/SLOT
- var/db/pkg/net-vpn/openvpn-2.6.12/USE
- var/db/pkg/net-vpn/openvpn-2.6.12/environment.bz2
- var/db/pkg/net-vpn/openvpn-2.6.12/openvpn-2.6.12.ebuild
- var/db/pkg/net-vpn/openvpn-2.6.12/repository
package_cacheimage: ""
runtime:
  name: openvpn
  version: 2.6.12+2
  category: net-vpn
  use_flags:
  - -kernel_linux
  - -mbedtls
  - -pkcs11
  - -selinux
  - iproute2
  - lz4
  - lzo
  - openssl
  - pam
  requires:
  - name: lz4
    version: '>=0'
    category: app-arch
  - name: libnl
    version: '>=0'
    category: dev-libs-3
  - name: lzo
    version: '>=0'
    category: dev-libs-2
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: docutils
    version: '>=0'
    category: dev-python
  - name: pam
    version: '>=0'
    category: sys-libs
  - name: tmpfiles
    version: '>=0'
    category: virtual
  - name: entities-catalog
    version: '>=0'
    category: macaroni
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Robust and highly flexible tunneling application compatible with many
    OSes
  uri:
  - https://openvpn.net/
  license: GPL-2
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    DEPEND: kernel_linux? ( iproute2? ( sys-apps/iproute2[-minimal] ) ) lz4? ( app-arch/lz4
      ) lzo? ( >=dev-libs/lzo-1.07 ) mbedtls? ( net-libs/mbedtls:= ) openssl? ( >=dev-libs/openssl-0.9.8:0=
      ) pam? ( sys-libs/pam ) pkcs11? ( >=dev-libs/pkcs11-helper-1.11 ) dev-python/docutils
      dev-libs/libnl:3= dev-python/docutils sys-apps/shadow
    IUSE: down-root examples inotify iproute2 +openssl +lz4 +lzo mbedtls pam pkcs11
      +plugins selinux static test userland_BSD kernel_linux
    RDEPEND: kernel_linux? ( iproute2? ( sys-apps/iproute2[-minimal] ) ) lz4? ( app-arch/lz4
      ) lzo? ( >=dev-libs/lzo-1.07 ) mbedtls? ( net-libs/mbedtls:= ) openssl? ( >=dev-libs/openssl-0.9.8:0=
      ) pam? ( sys-libs/pam ) pkcs11? ( >=dev-libs/pkcs11-helper-1.11 ) dev-python/docutils
      dev-libs/libnl:3= selinux? ( sec-policy/selinux-openvpn ) virtual/tmpfiles
    emerge.packages: net-vpn/openvpn
    kit: net-kit
    original.package.name: net-vpn/openvpn
    original.package.slot: "0"
    original.package.version: 2.6.12
